/* Sidebar Toggle Button
--------------------------------------------- */

#sidebar-toggle-button {
  display: inline-flex;
  align-items: center;
  cursor: pointer;
}

#sidebar-toggle-button .sidebar-toggle-button-text {
  font-weight: 500;
  padding-right: 8px;
}

#sidebar-toggle-button-wrapper {
  display: flex;
  align-items: center;
  width: 24px;
  height: 24px;
  margin: 0;
  padding: 0;
}

#sidebar-toggle-button-wrapper .sidebar-toggle-icon {
  position: relative;
  margin-left: auto;
  margin-right: auto;
}

#sidebar-toggle-button-wrapper .sidebar-toggle-icon,
#sidebar-toggle-button-wrapper .sidebar-toggle-icon:before,
#sidebar-toggle-button-wrapper .sidebar-toggle-icon:after {
  padding: 0;
  background: var(--text-color);
  width: 80%;
  height: 2px;
  transition: margin 0.1s 0.2s, transform 0.2s;
}

#sidebar-toggle-button-wrapper .sidebar-toggle-icon:before,
#sidebar-toggle-button-wrapper .sidebar-toggle-icon:after {
  margin: 0;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

#sidebar-toggle-button-wrapper .sidebar-toggle-icon:before {
  margin-top: -5px;
}

#sidebar-toggle-button-wrapper .sidebar-toggle-icon:after {
  margin-top: 5px;
}

#sidebar-toggle-button.active .sidebar-toggle-icon {
  transform: rotate(45deg);
}

#sidebar-toggle-button.active .sidebar-toggle-icon,
#sidebar-toggle-button.active .sidebar-toggle-icon:before,
#sidebar-toggle-button.active .sidebar-toggle-icon:after {
  transition: margin 0.2s, transform 0.1s 0.2s;
}

#sidebar-toggle-button.active .sidebar-toggle-icon:before,
#sidebar-toggle-button.active .sidebar-toggle-icon:after {
  margin-top: 0;
}

#sidebar-toggle-button.active .sidebar-toggle-icon:after {
  transform: rotate(-90deg);
}

/* Sidebar
  --------------------------------------------- */

#sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  z-index: 10;
  width: 100%;
  max-width: 480px;
  overflow: auto;
  transition: transform 0.3s ease-in-out;
  transform: translateX(100%);
  background: var(--bg-primary);
}

#sidebar.active {
  transform: translateX(0);
}

#sidebar:before {
  content: "";
  display: block;
  height: 60px;
}

#sidebar .container {
  padding: 30px 24px;
}

#sidebar:after {
  content: "";
  display: block;
  height: 145px;
}

/* Main Menu
  --------------------------------------------- */

#main-menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

#main-menu > li {
  font-family: "STIX Two Text", serif;
  font-size: 20px;
  font-weight: 500;
  font-style: italic;
  margin-top: 12px;
  padding-top: 12px;
  border-top: 1px solid;
}

#main-menu > li a {
  display: block;
}

.current-menu-item a {
  opacity: 0.65;
}
